package org.wwbota.identification;
import java.util.*;

/** A character  la <a href="http://biodiversity.uno.edu/delta/">Delta</a>.  */
public interface Character {
 /** A factory for a Criterion (i.e. a value) of the type associated to the Character */
 Criterion makeCriterion(String spec);

 /** @return the base type, a simple type: Int, Double, String. Currently unused, but probably useful for introspection purposes. */
 Class getType();

 String getName();
 String getURI ();
}
