package org.wwbota.identification;
/** Any organ (e.g. leaf blade, petal) at any level of containment */
public interface Organ extends Named {
  /** Get the Organ containing this one (e.g. petal==> flower */
  Organ getParent();
  /** Get the Organs direclly contained within this one (e.g. flower ==> sepal,petal,ovary,etamine */
  Organ[] getChildren();
}
